# Retrieve list of audience behaviors

Retrieve a list of parent segment behaviors.

Endpoint: GET /audiences/{audienceId}/behaviors
Version: 1.0.0
Security: TdApikeyAuth

## Security:

  - `TdApikeyAuth` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `audienceId` (integer, required)
    ID of Master Segment Config to return

## Query parameters:

  - `realtime` (boolean)

## Response 200:

  - `200` (unknown)
    successful operation

## Response 200 fields (application/json):

  - `id` (string, required)
    ID of Master Segment Config behavior

  - `name` (string, required)
    Behavior name user defined on Master Segment Configuration page of Data Workbench

  - `parentDatabaseName` (string, required)
    Database name of the behavior table

  - `parentTableName` (string, required)
    Table name of the behavior table

  - `parentKey` (string, required)
    Join key of the behavior table

  - `foreignKey` (string, required)
    Foreign key of the master table

  - `schema` (array, required)
    Columns of behavior

  - `schema.name` (string, required)
    Column name user defined on Master Segment Configuration page of Data Workbench

  - `schema.type` (string, required)
    Type of the column
    Enum: "string", "number", "timestamp", "date", "string_array", "number_array", "boolean"

  - `schema.parentColumn` (string, required)
    Column name of the behavior table (This can be null when the column is an enriched column)

  - `schema.matrixColumnName` (string)
    Column name of the behavior table

  - `schema.matrixColumnDescription` (string)
    Description of the column in behavior table

  - `schema.visibility` (string)
    Enum: "clear", "pii", "non_pii", "blocked"

  - `scheduleType` (string)
    Enum: "cron", "daily", "hourly", "minutes_interval", "monthly", "none", "weekly"

  - `scheduleOption` (string)

  - `defaultTimeFilterEnabled` (boolean)

## Response 400:

  - `400` (unknown)
    Given parameters are not valid

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized; You don't provide valid credentials. Maybe you didn't specify valid TD's Master API Key as 'TD1 {Your TD Master API Key}'.

## Response 401 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 403:

  - `403` (unknown)
    Requested resource or action is not allowed because you don't have sufficient permissions

## Response 403 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 404:

  - `404` (unknown)
    The specified resource was not found

## Response 404 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 4XX:

  - `4XX` (unknown)
    There is a high possibility of error of the authentication system. Please check the contents and authority of the key. Please contact the TD support team if you do not resolve it.

## Response 4XX fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX:

  - `5XX` (unknown)
    System error. Because there is a possibility of a temporary error due to network trouble and so on, we recommend several times retry on request side. Please contact the TD support team if you do not resolve it.

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message

